{
  "$schema": "http://json-schema.org/draft-07/schema#",
  "properties": {
    "apiVersion": {
      "type": "string"
    },
    "kind": {
      "type": "string"
    },
    "metadata": {
      "type": "object"
    },
    "spec": {
      "properties": {
        "clientID": {
          "nullable": true,
          "type": "string"
        },
        "clientRandom": {
          "nullable": true,
          "type": "string"
        },
        "clusterLabels": {
          "additionalProperties": {
            "type": "string"
          },
          "nullable": true,
          "type": "object"
        }
      },
      "type": "object"
    },
    "status": {
      "properties": {
        "clusterName": {
          "nullable": true,
          "type": "string"
        },
        "granted": {
          "type": "boolean"
        }
      },
      "type": "object"
    }
  },
  "type": "object"
}
